# Various Mixins for PostCSS

Provides convenient and stylish mixins for your stylesheets.

## Overview

- `mixins/_divider.css`

  - CSS shapes using psuedo-selectors to visually separate one element from another

- `mixins/_gg-css-icons.css`

  - CSS-only icons from [css.gg](https://css.gg/)

- `mixins/_gg-icons.css`

  - SVG background images from [css.gg](https://css.gg/)

- `mixins/_lazyload.css`

  - An animation for use as a placeholder for loading images

- `mixins/_lucide-icons.css`

  - [Lucide icons](https://lucide.dev/icons/) as SVG background images

- `mixins/_placeholder.css`

  - A skeleton style of placeholder for use when content is loading in

- `mixins/_ripple.css`

  - An interaction confirmation animation using psuedo-selectors, inspired by material design

## Requirements

- NodeJS or equivalent
- [PostCSS](https://postcss.org/)
- [PostCSS-Mixins](https://github.com/postcss/postcss-mixins)

## Installation

`npm install pcss-mixins`
OR
`yarn add pcss-mixins`
